python2-mysqlclient-1.3.13-lp150.2.1.aarch64.rpm


Advertisement

Description

python2-mysqlclient - Python interface to MySQL

Property Value
Distribution openSUSE Leap 15.0
Repository Packman all
Package name python2-mysqlclient
Package version 1.3.13
Package release lp150.2.1
Package architecture aarch64
Package type rpm
Installed size 346.14 KB
Download size 89.30 KB
Official Mirror packman.inode.at
MySQLdb is an interface to the popular MySQL database server for Python.
This package adds Python 3 support and bug fixes to MySQLdb1.

Alternatives

Package Version Architecture Repository
python2-mysqlclient-1.3.13-lp150.2.2.x86_64.rpm 1.3.13 x86_64 Packman
python2-mysqlclient - - -

Requires

Name Value
ld-linux-aarch64.so.1()(64bit) -
ld-linux-aarch64.so.1(GLIBC_2.17)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libmariadb.so.3()(64bit) -
libmariadb.so.3(libmysqlclient_18)(64bit) -
libpthread.so.0()(64bit) -
libpython2.7.so.1.0()(64bit) -
python(abi) = 2.7

Provides

Name Value
python-MySQL-python = 1.3.13
python-mysql = 1.3.13
python-mysqlclient = 1.3.13-lp150.2.1
python2-MySQL-python = 1.3.13
python2-mysql = 1.3.13
python2-mysqlclient = 1.3.13-lp150.2.1
python2-mysqlclient(aarch-64) = 1.3.13-lp150.2.1

Obsoletes

Name Value
python-MySQL-python < 1.3.13
python-mysql < 1.3.13
python-mysqlclient < 1.3.13-lp150.2.1
python2-MySQL-python < 1.3.13
python2-mysql < 1.3.13

Download

Type URL
Binary Package python2-mysqlclient-1.3.13-lp150.2.1.aarch64.rpm
Source Package python-mysqlclient-1.3.13-lp150.2.1.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.0/ packman
  2. Install python2-mysqlclient rpm package:
    # zypper install python2-mysqlclient

Files

Path
/usr/lib64/python2.7/site-packages/_mysql.so
/usr/lib64/python2.7/site-packages/_mysql_exceptions.py
/usr/lib64/python2.7/site-packages/_mysql_exceptions.pyc
/usr/lib64/python2.7/site-packages/_mysql_exceptions.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/__init__.py
/usr/lib64/python2.7/site-packages/MySQLdb/__init__.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/__init__.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/compat.py
/usr/lib64/python2.7/site-packages/MySQLdb/compat.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/compat.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/connections.py
/usr/lib64/python2.7/site-packages/MySQLdb/connections.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/connections.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/converters.py
/usr/lib64/python2.7/site-packages/MySQLdb/converters.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/converters.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/cursors.py
/usr/lib64/python2.7/site-packages/MySQLdb/cursors.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/cursors.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/release.py
/usr/lib64/python2.7/site-packages/MySQLdb/release.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/release.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/times.py
/usr/lib64/python2.7/site-packages/MySQLdb/times.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/times.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CLIENT.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CLIENT.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CLIENT.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CR.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CR.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/CR.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/ER.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/ER.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/ER.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FIELD_TYPE.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FIELD_TYPE.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FIELD_TYPE.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FLAG.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FLAG.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/FLAG.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/REFRESH.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/REFRESH.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/REFRESH.pyo
/usr/lib64/python2.7/site-packages/MySQLdb/constants/__init__.py
/usr/lib64/python2.7/site-packages/MySQLdb/constants/__init__.pyc
/usr/lib64/python2.7/site-packages/MySQLdb/constants/__init__.pyo
/usr/lib64/python2.7/site-packages/mysqlclient-1.3.13-py2.7.egg-info/PKG-INFO
/usr/lib64/python2.7/site-packages/mysqlclient-1.3.13-py2.7.egg-info/SOURCES.txt
/usr/lib64/python2.7/site-packages/mysqlclient-1.3.13-py2.7.egg-info/dependency_links.txt
/usr/lib64/python2.7/site-packages/mysqlclient-1.3.13-py2.7.egg-info/top_level.txt
/usr/share/doc/packages/python2-mysqlclient/HISTORY.rst
/usr/share/doc/packages/python2-mysqlclient/MANIFEST.in
/usr/share/doc/packages/python2-mysqlclient/README.md
/usr/share/licenses/python2-mysqlclient/LICENSE

Changelog

2018-06-30 - avvissu@yandex.by
- Add obsoletes/provides with "python-" prefix (oldpython macro)
- Fix build on openSUSE 42.3 (rename: libmariadb-devel to
libmysqlclient-devel)
2018-06-27 - avvissu@yandex.by
- Switch to fork of MySQLdb1
- Update a package description
- Build with python3 and python2 (singlespec)
- Mark obsolete packages: python-mysql, python-MySQL-python
- Spec file cleanup
2015-07-24 - seife+obs@b1-systems.com
- Fix build on non-SUSE distros by conditionalizing Recommends: tag
2013-12-08 - p.drouand@gmail.com
- Update to version 1.2.4
+ No changelog available
- Set correct Group : Development/Languages/Python
- Use download Url as source
- Spec file general clean-up
- Add MySQL-python-1.2.4-dont-use-python-distribute.patch; don't try
to use unavailable python-distribute
- Remove depreciate AutoReqProv, %{py_requires} and # norootforbuild tags
- Add unzip requirement to support tarball format
- Add python-Sphinx requirement and generate html documentation
- Remove --record-rpm=INSTALLED_FILES option and add %{python_sitearch}
in %files instead
- Package GPL-2.0, HISTORY and Sphinx documentation
2010-09-20 - coolo@novell.com
- fix the previous fix, patch went upstream
2010-09-16 - coolo@novell.com
- update to 1.2.3
- no upstream changelog available
- taking out the reconnect patch as the upstream sources contain
a very specific comment that this means trouble
2009-01-16 - matejcik@suse.cz
- removed usage of deprecated sets module (bnc#462974)
2007-12-13 - matejcik@suse.cz
- update to 1.2.2
- various bugfixes
- much better support for mysql5
- python2.5 support (crude, though, let's keep our patch for a while)
- switch from distutils to setuptools
- added patch supporting reconnect in mysql5
2006-10-20 - jmatejek@suse.cz
- update to 1.2.1_p2
- support for some new features of mysql 4.1 and 5.0
- fixes for 64bit bugs due to PEP353
2006-02-28 - jmatejek@suse.cz
- updated to reflect python changes due to #149809

See Also

Package Description
python3-mysqlclient-1.3.13-lp150.2.1.aarch64.rpm Python interface to MySQL
python3-mysqlclient-1.3.13-lp150.2.2.x86_64.rpm Python interface to MySQL
qmmp-1.2.4-lp150.3.12.x86_64.rpm Qt-based Multimedia Player
qmmp-plugin-pack-ffap-1.2.3-lp150.4.11.x86_64.rpm Enhanced Monkey's Audio (APE) decoder for Qmmp
qmmp-plugin-pack-goom-1.2.3-lp150.4.11.x86_64.rpm Goom visualisation Qmmp plugin
qmmp-plugin-pack-history-1.2.3-lp150.4.11.x86_64.rpm Qmpp history plugin
qmmp-plugin-pack-mpg123-1.2.3-lp150.4.11.x86_64.rpm Qmmp plugin which uses libmpg123 for decoding
qmmp-plugin-pack-samplerate-1.2.3-lp150.4.11.x86_64.rpm Qmmp plugin which uses libsamplerate for decoding
qmmp-plugin-pack-xmp-1.2.3-lp150.4.11.x86_64.rpm Qmmp plugin which uses the libxmp module library
qmp3gain-0.9.0-lp150.1.18.aarch64.rpm Qt frontend for mp3gain
qmp3gain-0.9.0-lp150.1.75.x86_64.rpm Qt frontend for mp3gain
qmp3gain-lang-0.9.0-lp150.1.18.noarch.rpm Translations for package qmp3gain
qmp3gain-lang-0.9.0-lp150.1.75.noarch.rpm Translations for package qmp3gain
qt3-3.3.8c-lp150.153.1.aarch64.rpm A library for developing applications with graphical user interfaces
qt3-3.3.8c-lp150.153.1.armv7hl.rpm A library for developing applications with graphical user interfaces
Advertisement
Advertisement